<?php 
  include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
extract($_POST);
$continuar=0;
 $id_cd=$sesion->id;
 for($x=0;$x<$trow;$x++){
$qDG="SELECT rfc, idprom, nombre, appat, apmat, domicilio, cp, ciudad, tel1 FROM inversionista WHERE id_inver = '".$id_inv[$x]."'";
$cDG = mysql_query($qDG) or die ('Error (Obtencion DG.): ' . mysql_error());
  			while($rDG = mysql_fetch_row($cDG))
		   	{
		    	$dg_rfc = $rDG[0];
		    	$dg_rfcP = $rDG[1];
		    	$dg_nom = $rDG[2];
		    	$dg_apP = $rDG[3];
		    	$dg_apM = $rDG[4];
				$dg_dom = $rDG[5];
				$dg_cp = $rDG[6];
				$dg_ciudad = $rDG[7];
				$dg_tel = $rDG[8];
		   	}
$qp3 = "select nombre from usuarios_ci where idusuarios_ci=$centro[$x]";
   $cp3 = mysql_query($qp3) or die ('Error (centro No Encontrado): ' . mysql_error());
$rp3 = mysql_fetch_object($cp3);	
	$usuario = $rp3->nombre;
$qp4 = "select usuarios_ci_idusuarios_ci as elvta, consec, horat, fechat from transacciones where idtransacciones=$pedido[$x]";
   $cp4 = mysql_query($qp4) or die ('Error (Pedido No Encontrado): ' . mysql_error());
$rp4 = mysql_fetch_object($cp4);	
	$elvta = $rp4->elvta;
	$consec = $rp4->consec;		
	$lahora = $rp4->horat;	
	$eldia = $rp4->fechat;		

$qPP = "select id_prod, nombreProd, precio, puntos, cant, cantidad from pedido join productos on pedido.productos_idprod=productos.id_prod left join stock on (stock.idprod=productos.id_prod and stock.idcd='$id_cd') where transacciones_idtransacciones=$pedido[$x] order by nombreProd";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());



echo "<center><br><font color=\"#000099\" size=\"+1\"><b>Entregar pedido de otro CD</b></font><br><br>
Pedido Realizado por: <b>$centro[$x] $usuario</b><br><br><font size=\"+1\"><b>Pedido $elvta"."-"."$consec Transacci&oacute;n $pedido[$x] </b></font><br>Realizado el d&iacute;a $eldia a las $lahora<br><br>

Nombre: $dg_nom $dg_apP $dg_apM <b> $dg_rfc</b>
<br><br><table border=\"1\">
<th>ID</th><th>Descripci&oacute;n</th><th>Precio</th><th>Puntos</th><th>Existencias</th><th>Solicitado</th>";



while (($objetoPP=mysql_fetch_object($rPP)) )

{

	echo "<tr>

	
			<td align=\"center\">$objetoPP->id_prod</td> <td align=\"center\">$objetoPP->nombreProd</td>
			<td align=\"center\">$ $objetoPP->precio</td><td align=\"center\">$objetoPP->puntos</td>
			<td align=\"center\">$objetoPP->cantidad</td>
			<td align=\"center\" bgcolor=\"#e8d78d\">$objetoPP->cant</td>

		

		  </tr> 

		 ";
if($objetoPP->cantidad < $objetoPP->cant){$continuar=1;}
   

}
echo"</table>";
 }
 

if($continuar!=1){
    for($x=0;$x<$trow;$x++){
    $qd = "SELECT productos_idprod, cant FROM pedido where transacciones_idtransacciones='$pedido[$x]'";
    $cd = mysql_query($qd) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysql_error());
        while($renglon = mysql_fetch_row($cd)){
            $qp = "update stock set cantidad=cantidad-$renglon[1] where idprod='$renglon[0]' and idcd='$id_cd'";
            $cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());
        };

    $qp = "update transacciones set statusentrega='ENTREGADO', fechae=CURDATE() where idtransacciones='$pedido[$x]]'";
    $cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());
    }
    echo"<br><font color=\"red\" size=\"+1\"><b>Al continuar, el producto ser&aacute; dado de baja del CD $id_cd</b></font><br>
    <br>
    <form name=\"busca\" action=\"entregaped.php\" method=\"post\">
    <input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Continuar y dar de baja de mi Stock\" /></form></center>";
}

else{
    echo"</table><br>Existe un error favor de revisar cantidades<br>No se puede pedir m&aacute;s de lo que hay en inventario";
}

?>